Appearance
lubb-desk
6 endpoints.
POST /api/v1/desk/llm
Desk Llm
One CLI call. {"result": text, "structured_output": obj|None} on success; any failure is an HTTP error whose detail is the CLI's own words, so the Desk agent sees why instead of an exit code.
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
x-desk-secret | header | no |
Request body
json
{
"properties": {
"prompt": {
"type": "string",
"maxLength": 400000,
"title": "Prompt"
},
"system_prompt": {
"type": "string",
"maxLength": 400000,
"title": "System Prompt",
"default": ""
},
"json_schema": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Json Schema"
},
"model": {
"anyOf": [
{
"type": "string",
"maxLength": 20
},
{
"type": "null"
}
],
"title": "Model"
},
"timeout": {
"type": "integer",
"title": "Timeout",
"default": 30
},
"max_budget_usd": {
"type": "number",
"title": "Max Budget Usd",
"default": 0.2
}
},
"type": "object",
"required": [
"prompt"
],
"title": "Body_desk_llm_api_v1_desk_llm_post"
}200 — Successful Response
json
{
"type": "object",
"additionalProperties": true,
"title": "Response Desk Llm Api V1 Desk Llm Post"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/desk/llm
Desk Llm
One CLI call. {"result": text, "structured_output": obj|None} on success; any failure is an HTTP error whose detail is the CLI's own words, so the Desk agent sees why instead of an exit code.
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
x-desk-secret | header | no |
Request body
json
{
"properties": {
"prompt": {
"type": "string",
"maxLength": 400000,
"title": "Prompt"
},
"system_prompt": {
"type": "string",
"maxLength": 400000,
"title": "System Prompt",
"default": ""
},
"json_schema": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Json Schema"
},
"model": {
"anyOf": [
{
"type": "string",
"maxLength": 20
},
{
"type": "null"
}
],
"title": "Model"
},
"timeout": {
"type": "integer",
"title": "Timeout",
"default": 30
},
"max_budget_usd": {
"type": "number",
"title": "Max Budget Usd",
"default": 0.2
}
},
"type": "object",
"required": [
"prompt"
],
"title": "Body_desk_llm_api_v1_desk_llm_post"
}200 — Successful Response
json
{
"type": "object",
"additionalProperties": true,
"title": "Response Desk Llm Api V1 Desk Llm Post"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/desk/references
Desk References
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
x-desk-secret | header | no |
Request body
json
{
"type": "object",
"additionalProperties": true,
"title": "Payload"
}200 — Successful Response
json
{
"type": "object",
"additionalProperties": true,
"title": "Response Desk References Api V1 Desk References Post"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/desk/context
Desk Context
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
email | query | no | ||
phone | query | no | ||
match_only | query | no | boolean | |
x-desk-secret | header | no |
200 — Successful Response
json
{
"type": "object",
"additionalProperties": true,
"title": "Response Desk Context Api V1 Desk Context Get"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/desk/email-statement
Desk Email Statement
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
x-desk-secret | header | no |
Request body
json
{
"properties": {
"email": {
"anyOf": [
{
"type": "string",
"maxLength": 255
},
{
"type": "null"
}
],
"title": "Email"
},
"phone": {
"anyOf": [
{
"type": "string",
"maxLength": 40
},
{
"type": "null"
}
],
"title": "Phone"
}
},
"type": "object",
"title": "Body_desk_email_statement_api_v1_desk_email_statement_post"
}200 — Successful Response
json
{
"type": "object",
"additionalProperties": true,
"title": "Response Desk Email Statement Api V1 Desk Email Statement Post"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/desk/whatsapp-status
Desk Whatsapp Status
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
x-desk-secret | header | no |
Request body
json
{
"properties": {
"id": {
"type": "string",
"maxLength": 190,
"title": "Id"
},
"status": {
"type": "string",
"maxLength": 20,
"title": "Status"
},
"errors": {
"anyOf": [
{
"items": {},
"type": "array"
},
{
"type": "null"
}
],
"title": "Errors"
}
},
"type": "object",
"required": [
"id",
"status"
],
"title": "Body_desk_whatsapp_status_api_v1_desk_whatsapp_status_post"
}200 — Successful Response
json
{
"type": "object",
"additionalProperties": true,
"title": "Response Desk Whatsapp Status Api V1 Desk Whatsapp Status Post"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}